Page MenuHomePhabricator

Make allowed SSL ciphers a variable
Closed, ResolvedPublic

Description

Currently, the allowed SSL ciphers for the fundraising infrastructure are hard-coded in playbooks and roles. They are all the same, but it's a lot of duplication. To achieve some consistency and be able to react to deprecations fast, we should put them in a variable in the all.yml file.

Note: Investigate if the ssh-hardening role described in T221210 fulfills that task.

Event Timeline

Restricted Application added a project: WMDE-FUN-Team. · View Herald TranscriptSep 25 2018, 11:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
gabriel-wmde updated the task description. (Show Details)Jan 2 2020, 5:28 PM
gabriel-wmde moved this task from Backlog to Ready for Estimation on the WMDE-Fundraising-CFR board.
gabriel-wmde closed this task as Resolved.Sep 28 2020, 4:41 PM
gabriel-wmde claimed this task.

No longer needed with new managed infrastructure